<?php
session_start();
$_SESSION['kom']='';
$_SESSION['err']='';
?>
<!DOCTYPE html 
	PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="pl" lang="pl">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<title>Platforma Wirtualny asystent</title>
	<meta name="description" content="Wirtualny asystent" />
    <meta name="keywords" content="asystent, niepełnosprawny intelektualnie, pomoc" />
	<style>
	body {
	background: #005;
	}
	#inst_page {
		width: 750px;
		height: 600px;
		margin: 30px auto;
		border: 3px ridge #009;
		border-radius: 10px;
		background: #d4d6d8;
		font-family: "Trebuchet MS", Helvetica, sans-serif;
		font-size: 14px;
		color: #007;
		text-align: center;
		padding: 10px 15px;
		overflow-y: auto;
	}
	
	#form_page {
		width: 660px;
		height: 160px;
		margin: 20px auto;
		border: 1px ridge #eee;
		border-radius: 5px;
		background: #f8f8fA;
		background: #ccc;
		color: #006;
		padding: 10px 10px;
	}
	
	#form_linia {
		width: 320px;
		margin: 2px auto;
		color: #CEF;
		padding: 5px 5px;
		float: left
	}
	
	#pole {
		margin: 2px 20px;
		border: 1px ridge #88A;
		padding: 3px 5px;
		width: 250px;
		background: #fff;
	}
	
	#etykieta {
		text-align: center;
		color: #007;
		margin: 0;
		padding: 0;
		font-size: 16px;
		font-weight: bold;
	}
	
	#kom {
		text-align: center;
		color: #E22;
		font-family: "Trebuchet MS", Helvetica, sans-serif;
		font-size: 15px;
		font-weight: bold;
		text-align: center;
	}
	
.button{
width: 95px;
padding: 5px 4px; 
margin: 10px 0;
border:1px solid #d22a00;
-webkit-box-shadow: #A2A3A3 7px 7px 7px ;
-moz-box-shadow: #A2A3A3 7px 7px 7px;
box-shadow: #A2A3A3 7px 7px 7px ; 
-webkit-border-radius: 3px; 
-moz-border-radius: 3px;
border-radius: 3px;
font-size:12px;
font-family:arial, helvetica, sans-serif;
font-style: normal; 
text-decoration:none; 
display:inline-block;
font-weight:bold; 
color: #FFFFFF;
background-color: #FF3C0B; background-image: -webkit-gradient(linear, left top, left bottom, from(#FF3C0B), to(#6d0019));
background-image: -webkit-linear-gradient(top, #FF3C0B, #6d0019);
background-image: -moz-linear-gradient(top, #FF3C0B, #6d0019);
background-image: -ms-linear-gradient(top, #FF3C0B, #6d0019);
background-image: -o-linear-gradient(top, #FF3C0B, #6d0019);
background-image: linear-gradient(to bottom, #FF3C0B, #6d0019);filter:progid:DXImageTransform.Microsoft.gradient(GradientType=0,startColorstr=#FF3C0B, endColorstr=#6d0019);
text-shadow: 0 -1px 1px rgba(0, 0, 0, 0.4);
-webkit-box-shadow: 3px 2px 10px 4px rgba(0,0,0,0.54);
-moz-box-shadow: 3px 2px 10px 4px rgba(0,0,0,0.54);
box-shadow: 3px 2px 10px 4px rgba(0,0,0,0.54)
}

.button:hover{
width: 97px;
height: 28px;
padding: 6px 3px 5px 3px;
border-radius: 5px;
font-size:13px;
border:1px solid #807D34;
 background-color: #172EFF; background-image: -webkit-gradient(linear, left top, left bottom, from(#172EFF), to(#081A21));
 background-image: -webkit-linear-gradient(top, #172EFF, #081A21);
 background-image: -moz-linear-gradient(top, #172EFF, #081A21);
 background-image: -ms-linear-gradient(top, #172EFF, #081A21);
 background-image: -o-linear-gradient(top, #172EFF, #081A21);
 background-image: linear-gradient(to bottom, #172EFF, #081A21);filter:progid:DXImageTransform.Microsoft.gradient(GradientType=0,startColorstr=#172EFF, endColorstr=#081A21);
 }
	</style>
	</head>
 <body>
<div id="inst_page">

<?php
	//POST----------------------------------
	if (isset($_POST['baza1'])) {
	
		$host = $_POST['db_host'];
		$dbname = $_POST['db_baza'];
		$user = $_POST['db_user'];
		$password = $_POST['db_password'];
	
		if ($host=='' || $dbname=='' || $user=='' || $password=='') {
			$_SESSION['kom']='Musisz wypełnić wszystkie pola...';
		} else {
			//Tworzenie baz danch
			$plik = fopen('wiras_php/wa_baza/wa_polacz.php','w');
			$zawartosc = "<?php ";
			$zawartosc.='$host="'.$host.'"; ';
			$zawartosc.='$db_name="'.$dbname.'"; ';
			$zawartosc.='$db_user="'.$user.'"; ';
			$zawartosc.='$db_password="'.$password.'"; ';
			$zawartosc.='$db = @new mysqli($host, $db_user, $db_password, $db_name); ';
			$zawartosc.='if ($db->connect_errno!=0) { ';
			$zawartosc.='echo ("Error: ".$db->connect_errno); exit; } ?>';
			fwrite($plik, $zawartosc);
			$link = @mysqli_connect($host, $user, $password, $dbname);
			if($link === false){
				$_SESSION['kom']='Brak połączenia z bazą danych. Sprawdź dane..';
			} else {
				$kom1 = '<br>';
				$kom2 = '<br>';
				// Kodowanie znakow
				$charset1 = 'utf8_polish_ci';
				$charset2 = 'utf8_general_ci';
				$charset3 = 'latin2_general_ci';

				//Nazwy tabel
				$tabele[0] = 'admin_ankieta';
				$tabele[1] = 'admin_info';
				$tabele[2] = 'admin_test';
				$tabele[3] = 'animacja';
				$tabele[4] = 'ankieta';
				$tabele[5] = 'blog_komentarz';
				$tabele[6] = 'blog_setup';
				$tabele[7] = 'blog_wpis';
				$tabele[8] = 'chat';
				$tabele[9] = 'chat_online';
				$tabele[10] = 'galeria';
				$tabele[11] = 'gry_kolormania';
				$tabele[12] = 'gry_reflit';
				$tabele[13] = 'gry_refset';
				$tabele[14] = 'ogloszenia';
				$tabele[15] = 'stopka';
				$tabele[16] = 'strona_pliki';
				$tabele[17] = 'strona_setup';
				$tabele[18] = 'strona_tresc';
				$tabele[19] = 'test';
				$tabele[20] = 'users';
				$tabele[21] = 'users_formularze';
				$tabele[22] = 'users_online';	
				$tabele[23] = 'users_session';
				$tabele[24] = 'wgraf';
				$tabele[25] = 'wgraf_adresaci';
				$tabele[26] = 'wyniki_test';
				$tabele[27] = 'zwierzenia';
				
				//1-admin_ankieta--------------------------------------
				$sql = "CREATE TABLE ".$tabele[0]."(
					id_admin_ankieta INT NOT NULL PRIMARY KEY AUTO_INCREMENT,
					id_ankieta INT,
					data DATE,
					info TEXT COLLATE $charset2
				)";
					if(!mysqli_query($link, $sql)){
						errortab("Błąd dla zapytania SQL: $sql. ".mysqli_error($link));
					}
				//---------------------
				
				//2-admin_info--------------------------------------
				 $sql = "CREATE TABLE ".$tabele[1]."(
					id_admin_info INT NOT NULL PRIMARY KEY AUTO_INCREMENT,
					tekst TEXT COLLATE $charset1,
					data DATE
				)";
					if(!mysqli_query($link, $sql)){
						errortab("Błąd dla zapytania SQL: $sql. ".mysqli_error($link));
					}
				//---------------------	
				 
				//3-admin_test--------------------------------------
				  $sql = "CREATE TABLE ".$tabele[2]."(
					id_admin_test INT NOT NULL PRIMARY KEY AUTO_INCREMENT,
					id_test INT,
					data DATE,
					info TEXT COLLATE $charset2
				)";
					if(!mysqli_query($link, $sql)){
						errortab("Błąd dla zapytania SQL: $sql. ".mysqli_error($link));
					}
				//---------------------
				
				//4-animacja--------------------------------------
				  $sql = "CREATE TABLE ".$tabele[3]."(
					id_animacja INT NOT NULL PRIMARY KEY AUTO_INCREMENT,
					id_user INT,
					kierune TEXT COLLATE $charset1,
					odleglosc TEXT COLLATE $charset1,
					predkosc TEXT COLLATE $charset1,
					efekt TEXT COLLATE $charset1,
					start VARCHAR(3) COLLATE $charset1,
					obrazek VARCHAR(3) COLLATE $charset1,
					tekst TEXT COLLATE $charset1,
					muzyka VARCHAR(3) COLLATE $charset1,
					kolor VARCHAR(10) COLLATE $charset1,
					kolort VARCHAR(10) COLLATE $charset1,
					tapeta VARCHAR(3) COLLATE $charset1,
					tytul VARCHAR(50) COLLATE $charset1,
					data DATETIME
				)";
					if(!mysqli_query($link, $sql)){
						errortab("Błąd dla zapytania SQL: $sql. ".mysqli_error($link));
					}
				 //---------------------
				 
				//5-ankieta--------------------------------------
				  $sql = "CREATE TABLE ".$tabele[4]."(
					id_ankieta INT NOT NULL PRIMARY KEY AUTO_INCREMENT,
					pytanie VARCHAR(150) COLLATE $charset1,
					odp1 VARCHAR(100) COLLATE $charset1,
					odp2 VARCHAR(100) COLLATE $charset1,
					odp3 VARCHAR(100) COLLATE $charset1,
					odp4 VARCHAR(100) COLLATE $charset1
				)";
					if(!mysqli_query($link, $sql)){
						errortab("Błąd dla zapytania SQL: $sql. ".mysqli_error($link));
					}
				//---------------------
				
				//6-blog_komentarz--------------------------------------
				  $sql = "CREATE TABLE ".$tabele[5]."(
					id_komentarz INT NOT NULL PRIMARY KEY AUTO_INCREMENT,
					id_wpisu INT,
					id_user INT,
					nazwa VARCHAR(20) COLLATE $charset1,
					komentarz TEXT COLLATE $charset1,
					data_komentarza DATETIME
				)";
					if(!mysqli_query($link, $sql)){
						errortab("Błąd dla zapytania SQL: $sql. ".mysqli_error($link));
					}
				//---------------------
				
				//7-blog_setup--------------------------------------
				  $sql = "CREATE TABLE ".$tabele[6]."(
					id_blogsetup INT NOT NULL PRIMARY KEY AUTO_INCREMENT,
					id_user INT,
					kol_fonttytul1 VARCHAR(7) COLLATE $charset1,
					kol_fontwpis1 VARCHAR(7) COLLATE $charset1,
					kol_tlowpis1 VARCHAR(7) COLLATE $charset1,
					kol_ramkawpis1 VARCHAR(7) COLLATE $charset1,
					kol_fontkomentarz1 VARCHAR(7) COLLATE $charset1,
					kol_tlokomentarz1 VARCHAR(7) COLLATE $charset1,
					kol_ramkakomentarz1 VARCHAR(7) COLLATE $charset1,
					kol_fonttytul2 VARCHAR(7) COLLATE $charset1,
					kol_fontwpis2 VARCHAR(7) COLLATE $charset1,
					kol_tlowpis2 VARCHAR(7) COLLATE $charset1,
					kol_ramkawpis2 VARCHAR(7) COLLATE $charset1,
					kol_fontkomentarz2 VARCHAR(7) COLLATE $charset1,
					kol_tlokomentarz2 VARCHAR(7) COLLATE $charset1,
					kol_ramkakomentarz2 VARCHAR(7) COLLATE $charset1,
					kol_tloblog VARCHAR(7) COLLATE $charset1
				)";
					if(!mysqli_query($link, $sql)){
						errortab("Błąd dla zapytania SQL: $sql. ".mysqli_error($link));
					}	
				//---------------------
				
				//8-blog_wpis--------------------------------------	
				  $sql = "CREATE TABLE ".$tabele[7]."(
					id_wpis INT NOT NULL PRIMARY KEY AUTO_INCREMENT,
					id_user INT,
					tytul VARCHAR(50) COLLATE $charset1,
					tresc TEXT COLLATE $charset1,
					data_wpisu DATETIME
				)";
					if(!mysqli_query($link, $sql)){
						errortab("Błąd dla zapytania SQL: $sql. ".mysqli_error($link));
					}
				//---------------------
				
				//9-chat--------------------------------------
				  $sql = "CREATE TABLE ".$tabele[8]."(
					id_czat INT NOT NULL PRIMARY KEY AUTO_INCREMENT,
					od VARCHAR(20) COLLATE $charset1,
					do VARCHAR(20) COLLATE $charset1,
					tekst VARCHAR(255) COLLATE $charset2,
					wszyscy TINYINT(1),
					data DATE,
					godz TIME
				)";
					if(!mysqli_query($link, $sql)){
						errortab("Błąd dla zapytania SQL: $sql. ".mysqli_error($link));
					}
				//---------------------
				
				//10-chat_online--------------------------------------
				  $sql = "CREATE TABLE ".$tabele[9]."(
					id_co INT NOT NULL PRIMARY KEY AUTO_INCREMENT,
					id_user INT,
					name VARCHAR(20) COLLATE $charset1,
					log_time DATETIME,
					last_time DATETIME
				)";
					if(!mysqli_query($link, $sql)){
						errortab("Błąd dla zapytania SQL: $sql. ".mysqli_error($link));
					}
				//---------------------
				
				//11-galeria--------------------------------------
				  $sql = "CREATE TABLE ".$tabele[10]."(
					id_galeria INT NOT NULL PRIMARY KEY AUTO_INCREMENT,
					id_user INT,
					gal1 VARCHAR(50) COLLATE $charset1,
					gal2 VARCHAR(50) COLLATE $charset1,
					gal3 VARCHAR(50) COLLATE $charset1
				)";
					if(!mysqli_query($link, $sql)){
						errortab("Błąd dla zapytania SQL: $sql. ".mysqli_error($link));
					}
				//---------------------
				
				//12-gry_kolormania--------------------------------------
				  $sql = "CREATE TABLE ".$tabele[11]."(
					id_kolormania INT NOT NULL PRIMARY KEY AUTO_INCREMENT,
					imie VARCHAR(20) COLLATE $charset1,
					wynik INT(6),
					data DATE,
					czas TIME
				)";
					if(!mysqli_query($link, $sql)){
						errortab("Błąd dla zapytania SQL: $sql. ".mysqli_error($link));
					}
				//---------------------
				
				//13-gry_reflit-------------------------------------------
				  $sql = "CREATE TABLE ".$tabele[12]."(
					id_reflit INT NOT NULL PRIMARY KEY AUTO_INCREMENT,
					nazwa VARCHAR(20) COLLATE $charset1,
					status INT(2),
					wynik VARCHAR(9) COLLATE $charset1,
					data DATETIME
				)";
					if(!mysqli_query($link, $sql)){
						errortab("Błąd dla zapytania SQL: $sql. ".mysqli_error($link));
					}
				//---------------------
					
				//14-gry_refset-------------------------------------------
				  $sql = "CREATE TABLE ".$tabele[13]."(
					id_refset INT NOT NULL PRIMARY KEY AUTO_INCREMENT,
					nazwa VARCHAR(20) COLLATE $charset1,
					status INT(2),
					wynik VARCHAR(9) COLLATE $charset1,
					data DATETIME
				)";
					if(!mysqli_query($link, $sql)){
						errortab("Błąd dla zapytania SQL: $sql. ".mysqli_error($link));
					}
				//---------------------
				
				//15-ogloszenia---------------------------------------------
				  $sql = "CREATE TABLE ".$tabele[14]."(
					id_ogloszenia INT NOT NULL PRIMARY KEY AUTO_INCREMENT,
					id_user INT,
					nazwa VARCHAR(20) COLLATE $charset1,
					status INT(2),
					tresc TEXT COLLATE $charset1,
					data DATETIME
				)";
					if(!mysqli_query($link, $sql)){
						errortab("Błąd dla zapytania SQL: $sql. ".mysqli_error($link));
					}
				//---------------------
				
				//16-stopka---------------------------------------------
				  $sql = "CREATE TABLE ".$tabele[15]."(
					id_stopki INT NOT NULL PRIMARY KEY AUTO_INCREMENT,
					id_user INT,
					nazwa VARCHAR(20) COLLATE $charset1,
					tekst VARCHAR(255) COLLATE $charset1,
					wyswietl TINYINT(1),
					tresc TEXT COLLATE $charset1,
					data_stopki DATETIME
				)";
					if(!mysqli_query($link, $sql)){
						errortab("Błąd dla zapytania SQL: $sql. ".mysqli_error($link));
					}
				//---------------------
				
				//17-strona_pliki---------------------------------------------
				  $sql = "CREATE TABLE ".$tabele[16]."(
					id_sp INT NOT NULL PRIMARY KEY AUTO_INCREMENT,
					id_user INT,
					plik_nazwa VARCHAR(75) COLLATE $charset1,
					plik_opis VARCHAR(250) COLLATE $charset1,
					data DATETIME,
					liczba_pobran INT(6)
				)";
					if(!mysqli_query($link, $sql)){
						errortab("Błąd dla zapytania SQL: $sql. ".mysqli_error($link));
					}
				//---------------------
				
				//18-strona_setup---------------------------------------------
				  $sql = "CREATE TABLE ".$tabele[17]."(
					id_ss INT NOT NULL PRIMARY KEY AUTO_INCREMENT,
					id_user INT,
					ramka_rozmiar INT(3),
					ramka_kolor VARCHAR(7) COLLATE $charset1,
					tytul_kolor VARCHAR(7) COLLATE $charset1,
					tlo_kolor VARCHAR(7) COLLATE $charset1,
					tresc_kolor VARCHAR(7) COLLATE $charset1,
					font_tytul_kolor VARCHAR(7) COLLATE $charset1,
					font_tytul_rodzaj INT(3),
					font_tresc_kolor VARCHAR(7) COLLATE $charset1,
					font_tresc_rodzaj INT(3),
					img VARCHAR(30) COLLATE $charset1,
					img_r INT(5)
				)";
					if(!mysqli_query($link, $sql)){
						errortab("Błąd dla zapytania SQL: $sql. ".mysqli_error($link));
					}
					//---------------------
					
				//19-strona_tresc---------------------------------------------
				  $sql = "CREATE TABLE ".$tabele[18]."(
					id_st INT NOT NULL PRIMARY KEY AUTO_INCREMENT,
					id_user INT,
					nazwa VARCHAR(20) COLLATE $charset1,
					status INT(2),
					tytul VARCHAR(100) COLLATE $charset1,
					tresc TEXT COLLATE $charset1,
					data DATETIME
				)";
					if(!mysqli_query($link, $sql)){
						errortab("Błąd dla zapytania SQL: $sql. ".mysqli_error($link));
					}
				//---------------------
				
				//20-test---------------------------------------------
				  $sql = "CREATE TABLE ".$tabele[19]."(
					id_test INT NOT NULL PRIMARY KEY AUTO_INCREMENT,
					pytanie VARCHAR(200) COLLATE $charset1,
					Odp_1 VARCHAR(100) COLLATE $charset1,
					Odp_2 VARCHAR(100) COLLATE $charset1,
					Odp_3 VARCHAR(100) COLLATE $charset1,
					Odp_4 VARCHAR(100) COLLATE $charset1
				)";
					if(!mysqli_query($link, $sql)){
						errortab("Błąd dla zapytania SQL: $sql. ".mysqli_error($link));
					}
				//---------------------
				
				//21-users---------------------------------------------
				  $sql = "CREATE TABLE ".$tabele[20]."(
					id_user INT NOT NULL PRIMARY KEY AUTO_INCREMENT,
					status INT(2),
					login VARCHAR(20) COLLATE $charset1,
					haslo TEXT COLLATE $charset3,
					email VARCHAR(25) COLLATE $charset1,
					nazwa VARCHAR(20) COLLATE $charset1,
					imie VARCHAR(20) COLLATE $charset1,
					node_pass VARCHAR(10) COLLATE $charset1
				)";
					if(!mysqli_query($link, $sql)){
						errortab("Błąd dla zapytania SQL: $sql. ".mysqli_error($link));
					}
				//---------------------
				
				//22-users_formularze---------------------------------------------
				  $sql = "CREATE TABLE ".$tabele[21]."(
					id_user_formularze INT NOT NULL PRIMARY KEY AUTO_INCREMENT,
					id_user INT,
					info_data DATE,
					ankieta_data DATE,
					test_data DATE
				)";
					if(!mysqli_query($link, $sql)){
						errortab("Błąd dla zapytania SQL: $sql. ".mysqli_error($link));
					}
				//---------------------
				
				//23-users_online---------------------------------------------
				  $sql = "CREATE TABLE ".$tabele[22]."(
					id_online INT NOT NULL PRIMARY KEY AUTO_INCREMENT,
					id_user INT,
					name VARCHAR(20) COLLATE $charset1,
					log_time DATETIME,
					last_time DATETIME
				)";
					if(!mysqli_query($link, $sql)){
						errortab("Błąd dla zapytania SQL: $sql. ".mysqli_error($link));
					}
				//---------------------
				
				//24-users_session---------------------------------------------
				  $sql = "CREATE TABLE ".$tabele[23]."(
					id_session INT NOT NULL PRIMARY KEY AUTO_INCREMENT,
					id_user INT,
					log_time DATETIME,
					last_time DATETIME
				)";
					if(!mysqli_query($link, $sql)){
						errortab("Błąd dla zapytania SQL: $sql. ".mysqli_error($link));
					}
				//---------------------
				
				//25-wgraf---------------------------------------------
				  $sql = "CREATE TABLE ".$tabele[24]."(
					id_wgraf INT NOT NULL PRIMARY KEY AUTO_INCREMENT,
					id_user INT,
					tytul VARCHAR(25) COLLATE $charset1,
					px TEXT COLLATE $charset3,
					py TEXT COLLATE $charset3,
					data_wgraf DATETIME
				)";
					if(!mysqli_query($link, $sql)){
						errortab("Błąd dla zapytania SQL: $sql. ".mysqli_error($link));
					}
				//---------------------
				
				//26-wgraf_adresaci---------------------------------------------
				  $sql = "CREATE TABLE ".$tabele[25]."(
					id_adreswgraf INT NOT NULL PRIMARY KEY AUTO_INCREMENT,
					id_awgraf INT,
					od VARCHAR(20) COLLATE $charset1,
					do VARCHAR(20) COLLATE $charset1,
					odebrana TINYINT(1)
				)";
					if(!mysqli_query($link, $sql)){
						errortab("Błąd dla zapytania SQL: $sql. ".mysqli_error($link));
					}
				//---------------------
				
				//27-wyniki_test---------------------------------------------
				  $sql = "CREATE TABLE ".$tabele[26]."(
					id_wyn_test INT NOT NULL PRIMARY KEY AUTO_INCREMENT,
					nazwa VARCHAR(20) COLLATE $charset1,
					id_test INT,
					nr_odpowiedzi INT(3),
					punkty INT(4),
					data DATETIME
				)";
					if(!mysqli_query($link, $sql)){
						errortab("Błąd dla zapytania SQL: $sql. ".mysqli_error($link));
					}
				//---------------------

				//28-zwierzenia---------------------------------------------
				  $sql = "CREATE TABLE ".$tabele[27]."(
					id_zwierz INT NOT NULL PRIMARY KEY AUTO_INCREMENT,
					id_userpyt INT,
					id_userodp INT,
					pytanie TEXT COLLATE $charset1,
					odpowiedz TEXT COLLATE $charset1,
					data_pyt DATETIME,
					data_odp DATETIME
				)";
					if(!mysqli_query($link, $sql)){
						errortab("Błąd dla zapytania SQL: $sql. ".mysqli_error($link));
					}
				if ($_SESSION['err']<>'error') {
				header('Location: install.php?m=1');
				}				
			}
		}
	}
	//------------

	if (isset($_POST['baza2'])) {
		header('Location: install.php?m=2');
	} 
	
	if (isset($_POST['baza3'])) {
		$login = $_POST['login'];
		$status = $_POST['status'];
		$mail = $_POST['mail'];
		$nazwa = $_POST['nazwa'];
		$imie = $_POST['imie'];
		require_once('wiras_php/wa_baza/wa_polacz.php');
		$has = password_hash($_POST['haslo'], PASSWORD_DEFAULT);
		$zap = "INSERT INTO users (status, login, haslo, email, nazwa, imie, node_pass) 
			Values ($status, '$login', '$has', '$mail', '$nazwa', '$imie', '1a2b3c4d5e')";
		$wykonaj = mysqli_query($db, $zap);	
		$has ='';
		
		$zap = "SELECT id_user FROM users WHERE nazwa='$nazwa'";
		$pobierz = mysqli_query($db, $zap);
		$wiersz = $pobierz->fetch_assoc();
		$id = $wiersz['id_user'];
			
			//---BLOG_SETUP
		$zap = "INSERT INTO blog_setup (id_user, kol_fonttytul1, kol_fontwpis1,kol_tlowpis1, kol_ramkawpis1, kol_fontkomentarz1,
			kol_tlokomentarz1, kol_ramkakomentarz1, kol_fonttytul2, kol_fontwpis2, kol_tlowpis2, kol_ramkawpis2,
			kol_fontkomentarz2, kol_tlokomentarz2, kol_ramkakomentarz2, kol_tloblog) 
				Values ($id, '#000', '#000', '#FFFFFF', '#006', '#000', '#FFFFFF', '#006', '#000', '#000'
				, '#FFFFFF', '#006', '#000', '#FFFFFF', '#006', '#FFFFFF')";
		$wykonaj = mysqli_query($db, $zap);


			//---CHAT_ONLINE
		$zap = "INSERT INTO chat_online (id_user, name, log_time, last_time)
				Values ($id, '$nazwa', NOW(), NOW())";
		$wykonaj = mysqli_query($db, $zap);

			//---USERS_ONLINE
		$zap = "INSERT INTO users_online (id_user, name, log_time, last_time)
				Values ($id, '$nazwa', NOW(), NOW())";
		$wykonaj = mysqli_query($db, $zap);

			//---STOPKA
		if ($status>1) {
			$zap = "INSERT INTO stopka (id_user, nazwa, tekst, wyswietl, data_stopki)
					Values ($id, '$nazwa', 'Witam na Platformie WIRTUALNY ASYSTENT', 0, NOW())";
			$wykonaj = mysqli_query($db, $zap);
		}

			//---OGŁOSZENIA
		if ($status>0) {	
			$zap = "INSERT INTO ogloszenia (id_user, nazwa, status, tresc, data)
					Values ($id, '$nazwa', $status, 'Brak wiadomości', NOW())";
			$wykonaj = mysqli_query($db, $zap);
		}

			//---STRONA_TREŚĆ
		$zap = "INSERT INTO strona_tresc (id_user, nazwa, status, tytul, tresc, data)
				Values ($id, '$nazwa', $status, 'Tytuł', 'Treść strony', NOW())";
		$wykonaj = mysqli_query($db, $zap);
		
			//---STRONA_SETUP
		$font = '\"Patrick Hand\", cursive';
		$zap = "INSERT INTO strona_setup (id_user, ramka_rozmiar, ramka_kolor, tytul_kolor, tlo_kolor, tresc_kolor, 
				font_tytul_kolor, font_tytul_rodzaj, font_tresc_kolor, font_tresc_rodzaj, img)
				Values ($id, 5, '#484848', '#CCCCCC', '#777777', '#AAAAAA', '#000000', 1, '#000000', 8, '')";
		$wykonaj = mysqli_query($db, $zap);
		
		//---USERS_FORMULARZE
		$data = date("Y-m-d");
		$zap = "INSERT INTO users_formularze (id_user, info_data, ankieta_data, test_data)
				Values ($id, '$data', '$data', '$data')";
		$wykonaj = mysqli_query($db, $zap);
		
			//Dodaj katalogi
		mkdir("pliki/upload/$nazwa", 0755);
		mkdir("pliki/upload/$nazwa/foto", 0755);
		mkdir("pliki/upload/$nazwa/pliki", 0755);
		
		mkdir("pliki/upload/$nazwa/galeria-1", 0755);
		mkdir("pliki/upload/$nazwa/galeria-2", 0755);
		mkdir("pliki/upload/$nazwa/galeria-3", 0755);
		
		mkdir("pliki/upload/$nazwa/galeria-1/duze", 0755);
		mkdir("pliki/upload/$nazwa/galeria-1/male", 0755);
		mkdir("pliki/upload/$nazwa/galeria-2/duze", 0755);
		mkdir("pliki/upload/$nazwa/galeria-2/male", 0755);
		mkdir("pliki/upload/$nazwa/galeria-3/duze", 0755);
		mkdir("pliki/upload/$nazwa/galeria-3/male", 0755);
		header('Location: install.php?m=3');		
	}
	//--------------------------------------------------------
	
	
	//GET------------------------------------------------
	if (isset($_GET['m'])) {
	if ($_GET['m']==1) {
?>
		<div id="form_page" style="height: 180px; color: #068">
			<h2>Baza danych została zainstalowana poprawnie</h2>
			<h3>Kliknij na przycisk Dalej, aby przejść do</h3>
			<h3>ustawienia konta Administratora</h3>			
			<form action="" method="post">
				<input class="button" type="submit" name="baza2" value="Dalej...">
			</form>	
		</div>
<?php
	}		
	if ($_GET['m']==2) {

?>	
		<div id="form_page" style="height: 240px">
			<p id="etykieta">Dodaj konto Administratora</p>
			<form action="" method="post">
			
			<div id="form_linia">
				<p id="etykieta">Imię&nbsp;&nbsp;*</p>
				<input id="pole" type="text" name="imie">
			</div>
					
			<div id="form_linia">	
				<p id="etykieta">Nazwa użytkownika&nbsp;&nbsp;*</p>
				<input id="pole" type="text" name="nazwa">
			</div>	
			
			
			<div id="form_linia">	
				<p id="etykieta">e-mail</p>
				<input id="pole" type="text" name="mail">
			</div>	
				
			<div id="form_linia">	
				<p id="etykieta">Login&nbsp;&nbsp;*</p>
				<input id="pole" type="text" name="login">
			</div>
					
			<div id="form_linia">	
				<p id="etykieta">Hasło&nbsp;&nbsp;*</p>
				<input id="pole" type="text" name="haslo">
			</div>	
					
			<div id="form_linia">	
				<p id="etykieta">Status </p>
				<input id="pole" type="text" name="status" value="3" readonly>
			</div>	
				
			<input class="button" type="submit" name="baza3" value="Zapisz dane" id="but_wyslij">
			</form>	
		</div>

<?php
	} 
	if ($_GET['m']==3) {
?>
		<div id="form_page" style="height: 240px">
			<h2>Instalacja zakończona sukcesem</h2>
			<h3></h3>
			<form action="instalacja.php" method="post">
				<input class="button" type="submit" name="end" value="Zakończ">
			</form>	
		</div>
<?php
	}
	} else {
?>
		<h3 style="text-align: center; color: #900">Kreator instalacji Platformy Wirtualny Asystent</h3>
	
	<div id="form_page">
	<form action="" method="post">
	
	<div id="form_linia">
	<p id="etykieta">Wpisz nazwę hosta</p>
	<input id="pole" type="text" name="db_host">
	</div>
	
	<div id="form_linia">
	<p id="etykieta">Wpisz nazwę bazy</p>
	<input id="pole" type="text" name="db_baza">
	</div>
	
	<div id="form_linia">
	<p id="etykieta">Wpisz nazwę użytkownika</p>
	<input id="pole" type="text" name="db_user">
	</div>
	
	<div id="form_linia">
	<p id="etykieta">Wpisz hasło użytkownika</p>
	<input id="pole" type="text" name="db_password">
	</div>
	
	<input class="button" type="submit" name="baza1" value="Utwórz">
	</form>
	</div>

<?php
	echo  '<p id="kom">'.$_SESSION['kom'].'</p>';

	}
	//------------------------------------------------
	function errortab($kom) {
		$_SESSION['kom']='<h2>Wystąpił błąd w trakcie tworzenia tabel!!!</h2>';
		$_SESSION['kom'].='<h3>Komunikat błędu poniżej:</h3>';
		$_SESSION['kom'].=$kom.'<br>';
		$_SESSION['kom'].='<h3>Sprawdź poprawność wszystkich danych i spróbuj jeszcze raz...</h3>';
		$_SESSION['err']='error';
	}
?>
